Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnBaseHeader Class Reference

This class provides a general interface to sequence related headers. More...

`#include <gnBaseHeader.h>`

Inheritance diagram for gnBaseHeader:

List of all members.

## Public Member Functions
| gnBaseHeader ()
virtual | ~gnBaseHeader ()
virtual gnBaseHeader * | Clone () const=0
virtual string | GetHeader () const=0
| Get the header.
virtual string | GetHeaderName () const=0
| Get the header's name, if any.
virtual uint32 | GetLength () const=0
| Get the header's length in bytes.

## Detailed Description

This class provides a general interface to sequence related headers.

Headers commonly precede sequence data in several file formats. In FastA files, the header is on the > line before a contig. In GenBank files, each contig has headers describing authors and other information. In GenBank files, the header name corresponds to the name of the header field. A few genBank header names are: DEFINITION ACCESSION, VERSION, KEYWORDS, SEGMENT, SOURCE, REFERENCE, and COMMENT. Eventually, individual classes may be implemented for each header type.

Definition at line 31 of file gnBaseHeader.h.

## Constructor & Destructor Documentation

gnBaseHeader::gnBaseHeader | ( |  | ) | `[inline]`

| Definition at line 34 of file gnBaseHeader.h.

virtual gnBaseHeader::~gnBaseHeader | ( |  | ) | `[inline, virtual]`

| Definition at line 35 of file gnBaseHeader.h.

## Member Function Documentation

virtual gnBaseHeader* gnBaseHeader::Clone | ( |  | ) | const`[pure virtual]`

| Implements gnClone. Implemented in gnSourceHeader, and gnStringHeader.

virtual string gnBaseHeader::GetHeader | ( |  | ) | const`[pure virtual]`

| Get the header. Returns: The header as a string. Implemented in gnSourceHeader, and gnStringHeader. Referenced by gnGBKSource::Write(), gnFASSource::Write(), gnDNXSource::Write(), and gnGBKSource::WriteHeader().

virtual string gnBaseHeader::GetHeaderName | ( |  | ) | const`[pure virtual]`

| Get the header's name, if any. Returns: The header name as a string. Implemented in gnSourceHeader, and gnStringHeader. Referenced by gnGBKSource::Write().

virtual uint32 gnBaseHeader::GetLength | ( |  | ) | const`[pure virtual]`

| Get the header's length in bytes. Returns: The length of the header. Implemented in gnSourceHeader, and gnStringHeader.

The documentation for this class was generated from the following file:

- gnBaseHeader.h